hpp-constraints: hpp::constraints::solver::saturation::Base Struct Reference

hpp-constraints 9.0.2 Definition of basic geometric constraints for motion planning

Loading...
Searching...
No Matches
Public Member Functions | List of all members
hpp::constraints::solver::saturation::Base Struct Reference

Base class for box constraints. To prevent configuration variables to get out of joint limits during Newton Raphson iterations, the user may provide an object derived from this type to HierarchicalIterative using setter and getter HierarchicalIterative::saturation. More...

`#include <hpp/constraints/solver/hierarchical-iterative.hh>`

Inheritance diagram for hpp::constraints::solver::saturation::Base:
[legend]

## Public Member Functions
virtual bool | saturate (vectorIn_t q, vectorOut_t qSat, Eigen::VectorXi &saturation)
virtual | ~Base ()

## Detailed Description

Base class for box constraints. To prevent configuration variables to get out of joint limits during Newton Raphson iterations, the user may provide an object derived from this type to HierarchicalIterative using setter and getter HierarchicalIterative::saturation.

This class implements no saturation.

## Constructor & Destructor Documentation

## ◆ ~Base()

virtual hpp::constraints::solver::saturation::Base::~Base | ( |  | ) |
| inline virtual

## Member Function Documentation

## ◆ saturate()

virtual bool hpp::constraints::solver::saturation::Base::saturate | ( | vectorIn_t | q,
|  | vectorOut_t | qSat,
|  | Eigen::VectorXi & | saturation )
| virtual

This function checks which degrees of freedom are saturated.

Parameters

  q | a configuration,

Return values

  qSat | configuration after saturing values out of bounds
  saturation | vector: for each degree of freedom, saturation is set to -1 if the lower bound is reached, 1 if the upper bound is reached, 0 otherwise.

Returns
  true if and only if at least one degree of freedom has been saturated

Reimplemented in hpp::constraints::solver::saturation::Function, hpp::constraints::solver::saturation::Bounds, and hpp::constraints::solver::saturation::Device.

The documentation for this struct was generated from the following file:

- include/hpp/constraints/solver/hierarchical-iterative.hh